//This package makes sure that users cannot leave the minigame and create their own.
//Contact me, KINEX, if you would like to modify this part if you don't know how.
//Credits go to Truce and Wallet.

package DedicatedAutoMinigame
{

// Auto-Minigame System

	//This places the joining person into the minigame.
	function GameConnection::onClientEnterGame(%cl) {
		Parent::onClientEnterGame(%cl);
		$DediMini.addMember(%cl);
	}

	//This restricts players from being able to create a minigame.
	function serverCmdCreateMinigame(%cl,%a,%b,%c,%d,%e,%f,%g) {
		if(isObject($DediMini)) {
			messageClient(%cl,'',"\c0Sorry, you cannot leave the default minigame.");
	}
	}

	//This restricts players from leaving the minigame.
	function serverCmdLeaveMinigame(%cl) {
		if(isObject($DediMini)) {
			messageClient(%cl,'',"\c0Sorry, you cannot leave the default minigame.");
	}
	}

	//This is used if spawn points are used in the minigame.
	function getBrickSpawnPoint(%cl) {
		if(%cl!$="")
			Parent::getBrickSpawnPoint(%cl);
	}

};


//This checks to make sure that the owner has put the script on a dedicated server.
//If not on a dedicated server, it WILL NOT START.
if($Server::Dedicated)
{
	activatePackage(DedicatedAutoMinigame);
}
else
{
	//Warns the script user that the script is not running on a dedicated server.
	echo("ERROR: THIS SCRIPT (Script_AutoMinigame) IS FOR DEDICATED SERVERS ONLY!");
	echo("Disengaging Package.");
}
