//This file creates the auto minigame.
//It also checks to make sure it is running.
//Credits go to Truce and Wallet.

function CheckDediMini()
{
	//This starts the minigame.
	//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	//THESE SETTINS WILL BE USED IF YOU DO NOT HAVE RTB!
	//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	if(!isObject($DediMini)) {
		$DediMini = new ScriptObject() {
			brickDamage= 0;
			brickRespawnTime= 10000;
			class=miniGameSO;
			colorIdx= 0;
			EnableBuilding= 1;
			EnablePainting= 1;
			enableWand= 1;
			fallingDamage= 1;
			inviteOnly= 0;
			numMembers=1;
			//IF YOU WANT TO CHANGE THE PLAYER-TYPE, CHANGE IT BELOW
			playerDataBlock= PlayerNoJet;
			PlayersUseOwnBricks= 0;
			Points_BreakBrick= 0;
			Points_Die= 0;
			Points_KillPlayer= 1;
			Points_KillSelf= 0;
			Points_PlantBrick= 0;
			respawnTime= 5000;
			SelfDamage=1;
			
			//CHANGE YOUR STARTING EQUIPMENT HERE!
			//To find the proper equipment number:
			//- Create a server
			//- Create a minigame with the equipment you want
			//- Open Console (~) and type findClientByName("YOURNAMEHERE").miniGame.dump();
			//- Look through the garbage it spits out until you find StartEquip0
			//- Write down the numbers it provides and place them below
			//- You can also use nametoid(ITEM NAME HERE) instead of datablock IDs
			StartEquip0=71;
			StartEquip1=81;
			StartEquip2=393;
			StartEquip3=0;
			StartEquip4=0;

			title = "Default Minigame";
			useAllPlayersBricks= 0;
			useSpawnBricks= 1;
			VehicleDamage= 1;
			vehicleReSpawnTime= 0;
			weaponDamage= 1;
		};

		//If you have RTB, you can configure Minigame features.
		//If you wish to change the default setting that is for RTB
		//  edit the third from last digit in all RTB_registerPrefs.
		if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
		{
   			if(!$RTB::RTBR_ServerControl_Hook)
      				exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");

			RTB_registerPref("Brick Damage","Auto Minigame","$dedimini.brickDamage","int 0 1","Script_AutoMinigame",0,0,0);
			RTB_registerPref("Brick Respawn Time","Auto Minigame","$dedimini.brickRespawnTime","int 100 10000","Script_AutoMinigame",10000,0,0);
			RTB_registerPref("Enable Building","Auto Minigame","$dedimini.EnableBuilding","int 0 1","Script_AutoMinigame",1,0,0);
			RTB_registerPref("Enable Painting","Auto Minigame","$dedimini.EnablePainting","int 0 1","Script_AutoMinigame",1,0,0);
			RTB_registerPref("Enable Wand","Auto Minigame","$dedimini.enableWand","int 0 1","Script_AutoMinigame",1,0,0);
			RTB_registerPref("Falling Damage","Auto Minigame","$dedimini.fallingDamage","int 0 1","Script_AutoMinigame",1,0,0);
			RTB_registerPref("Players Use Own Bricks","Auto Minigame","$dedimini.PlayersUseOwnBricks","int 0 1","Script_AutoMinigame",1,0,0);
			RTB_registerPref("Points Break Brick","Auto Minigame","$dedimini.Points_BreakBrick","int 0 10","Script_AutoMinigame",0,0,0);
			RTB_registerPref("Points For Dying","Auto Minigame","$dedimini.Points_Die","int 0 10","Script_AutoMinigame",0,0,0);
			RTB_registerPref("Points For Killing","Auto Minigame","$dedimini.Points_KillPlayer","int 0 10","Script_AutoMinigame",1,0,0);
			RTB_registerPref("Points For Suicide","Auto Minigame","$dedimini.Points_KillSelf","int 0 10","Script_AutoMinigame",0,0,0);
			RTB_registerPref("Points For Brick Plant","Auto Minigame","$dedimini.Points_PlantBrick","int 0 10","Script_AutoMinigame",0,0,0);
			RTB_registerPref("Respawn Time","Auto Minigame","$dedimini.respawnTime","int 1000 10000","Script_AutoMinigame",1000,0,0);
			RTB_registerPref("Self Damage","Auto Minigame","$dedimini.SelfDamage","int 0 1","Script_AutoMinigame",0,0,0);
			RTB_registerPref("Use All Player Bricks","Auto Minigame","$dedimini.useAllPlayerBricks","int 0 1","Script_AutoMinigame",1,0,0);
			RTB_registerPref("Use Spawn Bricks","Auto Minigame","$dedimini.useSpawnBricks","int 0 1","Script_AutoMinigame",1,0,0);
			RTB_registerPref("Vehicle Damage","Auto Minigame","$dedimini.VehicleDamage","int 0 1","Script_AutoMinigame",0,0,0);
			RTB_registerPref("Vehicle Respawn Time","Auto Minigame","$dedimini.vehicleReSpawnTime","int 0 100000","Script_AutoMinigame",8000,0,0);
			RTB_registerPref("Weapon Damage","Auto Minigame","$dedimini.weaponDamage","int 0 1","Script_AutoMinigame",0,0,0);
	
		}

		//This places people inside the auto minigame.
		for(%i=0;%i<ClientGroup.getCount();%i++) {
			%cl=ClientGroup.getObject(%i);
			if(isObject(%cl.miniGame))
				%cl.miniGame.removeMember(%cl);
			$DediMini.addMember(%cl);
		}
	}
}

//This starts the minigame.
if(!$Temp::ServerAutoMinigameRanOnce)
{
	$Temp::ServerAutoMinigameRanOnce = true;
	CheckDediMini();
}